/**************************************************************************************************************
 *
 * PIC18F6620 Modul
 *
 * Datei : serial.h
 *
 * Autor : Finger
 *
 * Controller : Microchip 18F6620, 20 Mhz
 * Einstellungen:  OSC=HS, WDT=OFF, PWT=ON, CP=OFF, BOD=ON, LVP=OFF
 *
 *************************************************************************************************************/

#define UART1   0
#define UART2   1

// Funktionsprototypen
void isr_usart (void);                                  // USART-ISR, hngt im Main in der zentralen ISR
void UARTInit (void);                                   // UARTs initialisieren
void print (char UARTNo, const char *data);  						// USART mit String beschreiben
void printchar (char UARTNo, char data);           			// USART mit Char beschreiben
char get_char (char UARTNo);                      				// Char aus USART abholen, liefert 0, falls kein Zeichen vorhanden
void flushusart (char UARTNo);                          // Puffer leeren

